summaryrefslogtreecommitdiff
path: root/dmake/tests/targets-5
diff options
context:
space:
mode:
Diffstat (limited to 'dmake/tests/targets-5')
-rw-r--r--dmake/tests/targets-551
1 files changed, 51 insertions, 0 deletions
diff --git a/dmake/tests/targets-5 b/dmake/tests/targets-5
new file mode 100644
index 000000000000..0e83ca43107c
--- /dev/null
+++ b/dmake/tests/targets-5
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# 13.06.2006 Volker Quetschke
+# Error out if AUGMAKE meta and normal targets occur in the same rule
+# definition.
+# (issue 66083)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Testcase 1 - Check that warning is issued if .<suffix> targets are ignored
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.NIX.NUX aaa : ; @+echo "Normal and meta target together"
+
+something :
+ @+echo "A target."
+
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1 2>&1 `
+result1=$?
+
+if echo $output1 | grep 'Error: -- A non AUGMAKE meta target must' > /dev/null 2>&1 ; then
+ dummy=1
+ # OK
+else
+ echo "Test 1: Wrong result: $output1"
+ echo
+ result1=0
+fi
+
+# Errorcode in $result1 means successfull test
+if test $result1 -ne 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ result=0
+else
+ echo "Failure!"
+ result=1
+fi
+exit $result